using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.BL.Services.Interfaces
{
    public interface IMessageService
    {
        Task<bool> SendMailAsync(List<string> recipients, string subject, string htmlBody, string? attachmentFilePath = null);
        
        Task<bool> SendFCMTokenAsync(string token);
        Task<string> GetLastFCMTokensAsync();
        Task<bool> SendFCMMessage(FCMMessageDTO fCMMessageDTO);
        Task<bool> SendFCMMessageToLastToken(FCMMessageDTO fCMMessageDTO);
    }
}
